#
# BINARY.PY
#

# load ZES RS232 functions
import zes                 

# load tool collection of programmer's guide
import g_tool

# load function to handle binary lists
import struct

# Open the serial interface, clear output buffer,
# initialize data path and instrument.
LMG=g_tool.init("COM1", "BAUD=38400 EOS=LF PROTO=RTS/CTS")

# Change language to SHORT
g_tool.Write_command_with_OPC(LMG, "SYST:LANG ZES")

# Skip first measuring cycle after reset, it could contain
# invalid values
g_tool.Write_command_with_OPC(LMG, "INIM")

zes.SetTimeout(LMG, 1000)

zes.Write(LMG, "INIM;UTRMS?;ITRMS?;P?")

# Read data as ASCII
answer = zes.Read(LMG)
print "The ASCII answer:"
print answer

# Change to binary data output
zes.Write(LMG, "FRMT PACKED")
# Request same values from SAME interface buffer
zes.Write(LMG, "UTRMS?;ITRMS?;P?")
# Read data as Binary
answer = zes.ReadBinary(LMG)
# Interprete them as a list of 3 float numbers
a = struct.unpack('fff', answer[0:12])
print "\nThe converted binary answers"
# output 1st element
print a[0]
# output 2nd element
print a[1]
# output 3rd element
print a[2]

# Close the interface. It is assumed, that the handle of the LMG
# instrument is called LMG and the RS232 interface is used.
g_tool.close(LMG)
print "\nProgramm finished" 
