#
# CLOSE.PY
#

# load ZES RS232 functions
import zes

def close(handle):
   # Initialize the interface of the instrument.
   # By this the continuous mode (if used) is left
   # and all buffers in the LMG are cleared.
   # Further on the language is changed back to SCPI
   zes.Reset(handle)

   # Delete the input buffers of the PC
   zes.EraseBuffer(handle)

   # Request the error messages.
   zes.Write(handle, "SYST:ERR:ALL?")

   # Read in the error messages
   error = zes.Read(handle)
   # check, if any error occured
   if error != "0,\"No error\"":
      # output them on the screen
      print "Instrument sent following error message(s):\n" + error
   
   # Change back to local mode
   zes.Write(handle, "GTL")
