#
# GET_DATA.PY
#

# load ZES RS232 functions
import zes                 

# load tool collection of programmer's guide
import g_tool

# Open the serial interface, clear output buffer,
# initialize data path and instrument.
LMG=g_tool.init("COM1", "BAUD=38400 EOS=LF PROTO=RTS/CTS")

# Timeout auf 2000ms verlngern
zes.SetTimeout(LMG,2000)
# Skip first measuring cycle after reset, it could contain
# invalid values
g_tool.Write_command_with_OPC(LMG, ":INIT:IMM")

print "\nIdentical values from same cycle"
print ":FETC:TRMS?;:FETC:TRMS?                 -> ",
zes.Write(LMG, ":FETC:TRMS?;:FETC:TRMS?")
print zes.Read(LMG)

print "\nDifferent values from different cycles"
print ":READ:TRMS?;:READ:TRMS?                 -> ",
zes.Write(LMG, ":READ:TRMS?;:READ:TRMS?")
print zes.Read(LMG)

print "\nValues from different cycles"
print ":READ:VOLTAGE:TRMS?;:READ:CURRENT:TRMS? -> ",
zes.Write(LMG, ":READ:VOLTAGE:TRMS?;:READ:CURRENT:TRMS?")
print zes.Read(LMG)

print "\nValues from same cycles"
print ":READ:VOLTAGE:TRMS?;:FETC:CURRENT:TRMS? -> ",
zes.Write(LMG, ":READ:VOLTAGE:TRMS?;:FETC:CURRENT:TRMS?")
print zes.Read(LMG)

g_tool.Write_command_with_OPC(LMG, ":SYST:LANG SHORT")
print "\nValues from same cycles, SHORT language"
print "INIM;UTRMS?;ITRMS?                      -> ",
zes.Write(LMG, "INIM;UTRMS?;ITRMS?")
print zes.Read(LMG)


# Close the interface. It is assumed, that the handle of the LMG
# instrument is called LMG and the RS232 interface is used.
g_tool.close(LMG)
print "\nProgramm finished" 
