#
# OPEN.PY
#

# load ZES RS232 functions
import zes

# load funtion Write_command_with_opc
import writeopc

def init(port, parameter):
   # Open the interface, clear output buffers
   handle=zes.Open(port, parameter)

   # Initialize the interface of the instrument
   # send break if RS232 interface
   zes.Reset(handle)

   # Delete the input buffers of the PC
   zes.EraseBuffer(handle)

   # Reset register structure and error queue
   writeopc.Write_command_with_OPC(handle, "*CLS")

   # *RST could take some time for execution, so the timeout
   # is increased
   zes.SetTimeout(handle, 1000)
   # Reset the measuring unit
   writeopc.Write_command_with_OPC(handle, "*RST")
   # Reduce again to standard value
   zes.SetTimeout(handle, 500)
    
   return handle